%define po_package gnome-applets-2.0
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        GNOME applets

Name:      	gnome-applets
Version:   	2.22.1
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  dbus-devel
BuildRequires:  libbonobo-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  cairo-devel
BuildRequires:  gail-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gstreamer10-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libgtop-devel
BuildRequires:  hal-devel
BuildRequires:  ORBit2-devel
BuildRequires:  pango-devel 
BuildRequires:  popt
BuildRequires:  startup-notification-devel
BuildRequires:  libwnck-devel
BuildRequires:  libxklavier
BuildRequires:  libxml2-devel
BuildRequires:  zlib
BuildRequires:	gnome-panel-devel

%description
gnome-applets is a collection of many applets for your GNOME panel.
It includes clocks, load monitors, little toys, and more.

%post
/sbin/ldconfig
scrollkeeper-update
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule                                        \
	    %{_sysconfdir}/gnome/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gnome/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gnome/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gnome/gconf/schemas/multiload.schemas > /dev/null
#%{_libexecdir}/gnome-applets/mc-install-default-macros > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gnome/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gnome/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gnome/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gnome/gconf/schemas/multiload.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule                                    \
	    %{_sysconfdir}/gnome/gconf/schemas/battstat.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/charpick.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/cpufreq-applet.schemas            \
	    %{_sysconfdir}/gnome/gconf/schemas/drivemount.schemas                \
	    %{_sysconfdir}/gnome/gconf/schemas/geyes.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/gweather.schemas                  \
	    %{_sysconfdir}/gnome/gconf/schemas/mixer.schemas                     \
	    %{_sysconfdir}/gnome/gconf/schemas/stickynotes.schemas               \
	    %{_sysconfdir}/gnome/gconf/schemas/multiload.schemas > /dev/null || :
fi

%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/gnome-applets
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome
%{_datadir}/gnome-applets
%{_datadir}/xmodmap
%{_datadir}/omf/*
#%{_datadir}/applications/gnome-invest-chart.desktop
#%{_datadir}/applications/gnome-gswitchit-plugins.desktop
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{python_sitelib}/invest/
%{_libdir}/gnome-applets/accessx-status-applet
%{_libdir}/gnome-applets/battstat-applet-2
%{_libdir}/gnome-applets/charpick_applet2
%{_libdir}/gnome-applets/cpufreq-applet
%{_libdir}/gnome-applets/drivemount_applet2
%{_libdir}/gnome-applets/geyes_applet2
#%{_libdir}/gnome-applets/gnome-applets/
%{_libdir}/gnome-applets/gnome-keyboard-applet
%{_libdir}/gnome-applets/gweather-applet-2
#%{_libdir}/gnome-applets/mini_commander_applet
%{_libdir}/gnome-applets/mixer_applet2
#%{_libdir}/gnome-applets/modemlights_applet2
%{_libdir}/gnome-applets/multiload-applet-2
%{_libdir}/gnome-applets/null_applet
%{_libdir}/gnome-applets/stickynotes_applet
%{_libdir}/gnome-applets/trashapplet
%{_libdir}/gnome-applets/invest-applet
#%{_sbindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*
#%{_sysconfdir}/pam.d/*
#%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/gnome/sound
#%{_includedir}/libgswitchit
#%{_libdir}/pkgconfig/gswitchit.pc
#/usr/share/applications/gswitchit-plugins.desktop 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- removed no more existing schema install
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.4-1
- Initial Release
